-- Veneer
-- PaperDoll.lua
-- Created: 8/16/2016 8:18 AM
-- %file-revision%
--

local plugin = CreateFrame('Frame', 'VeneerPaper', UIParent)
local vn, print = LibStub("LibKraken").register(VeneerController, plugin)

-- PaperDollFrame is separate from InspectUI handlers
local PaperDollItemSlotButton_Update = function(self)
  local name = self:GetName()
  local slot = self:GetID()
  local frame = _G[name .. 'Veneer']
  if not frame then
    frame = CreateFrame('Frame', name..'Veneer', self)
    frame.label = frame:CreateFontString(nil, 'OVERLAY', 'GameFontNormal')
    frame.gemslot = {}
    frame:SetPoint('LEFT', self, 'RIGHT')
  end

  if self.hasItem then
    frame.link = GetInventoryItemLink('player', slot)
    frame.gem1, frame.gem2, frame.gem3 = GetInventoryItemGems('player', slot)
    frame.label:SetText(GetInventoryItemLink('player', slot))
    -- todo: test GetExtendedItemInfo()

    for i = 1, 3 do
      local gname = 'gem'..i
      if frame[gname] then
        frame.gemslot[i] = frame.gemslot[i] or frame:CreateTexture(nil, 'ARTWORK')
        print(frame[gname])
      end
    end
    frame:Show()
  else
    frame:Hide()
  end
end

plugin.init = function()
  hooksecurefunc("PaperDollItemSlotButton_Update", PaperDollItemSlotButton_Update)
end

